#!/bin/bash

BIN_INSTALL_PATH=/usr/local/bin
CPATH=$(pwd)

ENEBOOZIP="eneboo.zip"
ENEBOOREMOTEPATH="2.4.5.2-alfa1"

apt-get install unzip openbox xvfb x11vnc python-jinja2


#Descargamos y extraemos dependencias ....
cd libraries
rm -Rf *
wget http://pypi.python.org/packages/source/F/Flask/Flask-0.10.1.tar.gz
#Subir ficheros al servidor
wget https://pypi.python.org/packages/source/F/Flask-Uploads/Flask-Uploads-0.1.3.tar.gz
#
wget https://pypi.python.org/packages/source/i/itsdangerous/itsdangerous-0.24.tar.gz
wget https://github.com/mitsuhiko/werkzeug/archive/master.zip 
mv ./master.zip ./werkzeug.zip
wget https://github.com/eneboo/noVNC/archive/master.zip 
mv ./master.zip ./noVNC.zip
wget http://www.eneboo.org/pub/contrib/$ENEBOOREMOTEPATH/$ENEBOOZIP


tar -zxvf Flask-0.10.1.tar.gz
tar -zxvf itsdangerous-0.24.tar.gz
tar -zxvf Flask-Uploads-0.1.3.tar.gz



unzip werkzeug.zip
unzip noVNC.zip
unzip $ENEBOOZIP.zip
mkdir ./noVNC-master/common

mv noVNC-master noVNC
mv werkzeug-master werkzeug

chmod -R a+rw *
mv eneboo ../eneboo

cd ..

#Crear config.ini
rm $CPATH/config.ini
echo "[global]" >> $CPATH/config.ini
RUTANOVNC="novnc = $CPATH/libraries/noVNC"
echo $RUTANOVNC >> $CPATH/config.ini
chmod -R a+rw $CPATH/config.ini

#Crear start.sh
RUTASCRIPTENEBOO=$CPATH/website/utils/start.sh
rm $RUTASCRIPTENEBOO
echo "#!/bin/bash" >> $RUTASCRIPTENEBOO
echo "while [ \"\$*\" ]; do" >> $RUTASCRIPTENEBOO
echo "param=\$1; shift; OPTARG=\$1" >> $RUTASCRIPTENEBOO
echo "case \$param in" >> $RUTASCRIPTENEBOO
echo "--display) DISPLAY="\$\{OPTARG\}"; shift            ;;" >> $RUTASCRIPTENEBOO
echo "--eneboo) ENEBOORUN="\$\{OPTARG\}"; shift            ;;" >> $RUTASCRIPTENEBOO
echo "--dbName) DBNAME="\$\{OPTARG\}"; shift            ;;" >> $RUTASCRIPTENEBOO
echo "--password) PASSWORD="\$\{OPTARG\}"; shift            ;;" >> $RUTASCRIPTENEBOO
echo "--type) TYPE="\$\{OPTARG\}"; shift            ;;" >> $RUTASCRIPTENEBOO
echo "--port) PORT="\$\{OPTARG\}"; shift            ;;" >> $RUTASCRIPTENEBOO
echo "--host) HOSTNAME="\$\{OPTARG\}"; shift            ;;" >> $RUTASCRIPTENEBOO
echo "--userName) USERNAME="\$\{OPTARG\}"; shift            ;;" >> $RUTASCRIPTENEBOO
echo "--cloudId) CLOUDID="\$\{OPTARG\}"; shift            ;;" >> $RUTASCRIPTENEBOO
echo "--cloudFolder) CLOUDFOLDER="\$\{OPTARG\}"; shift            ;;" >> $RUTASCRIPTENEBOO 
echo "-h|--help) usage                              ;;" >> $RUTASCRIPTENEBOO
echo " *) break                                      ;;" >> $RUTASCRIPTENEBOO
echo "    esac" >> $RUTASCRIPTENEBOO
echo "done" >> $RUTASCRIPTENEBOO
echo "SILENTCONN=\"-silentconn \$DBNAME:\$USERNAME:\$TYPE:\$HOSTNAME:\$PORT:\$PASSWORD\"" >> $RUTASCRIPTENEBOO

echo "ENEBOOFINAL=\"\$ENEBOORUN \$SILENTCONN -cloudId \$CLOUDID -cloudFolder \$CLOUDFOLDER\"" >> $RUTASCRIPTENEBOO

echo "x=1 &" >> $RUTASCRIPTENEBOO
echo "while [ x==1 ]" >> $RUTASCRIPTENEBOO
echo "do" >> $RUTASCRIPTENEBOO
echo "DISPLAY=\${DISPLAY} \$ENEBOOFINAL" >> $RUTASCRIPTENEBOO
echo "done" >> $RUTASCRIPTENEBOO
chmod a+rwx $RUTASCRIPTENEBOO 



#Enlaces simbolicos
rm ${BIN_INSTALL_PATH}/noVNC-launch
ln -s $CPATH/libraries/noVNC/utils/launch.sh ${BIN_INSTALL_PATH}/noVNC-launch

#Carpetas para almacenar configuraciones locales
mkdir /.qt
mkdir /.eneboocache
chmod a+rw /.qt
chmod a+rw /.eneboocache

rm libraries/Flask-0.10.1.tar.gz
rm libraries/itsdangerous-0.24.tar.gz
rm libraries/Flask-Uploads-0.1.3.tar.gz
rm libraries/werkzeug.zip
rm libraries/noVNC.zip
rm libraries/$ENEBOOZIP.zip

